/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.sapics.client.gui;

import java.awt.BorderLayout;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOUtilisateur;
import org.cocktail.sapics.client.eof.model.EORevision;
import org.cocktail.sapics.client.swing.TableSorter;
import org.cocktail.sapics.client.swing.ZEOTable;
import org.cocktail.sapics.client.swing.ZEOTableModel;
import org.cocktail.sapics.client.swing.ZEOTableModelColumn;
import org.cocktail.sapics.client.utilities.CocktailConstantes;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class AttributionRevisionView  extends javax.swing.JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6603863928653518115L;

	private EODisplayGroup eod;
	
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel ;
	protected TableSorter myTableSorter;

    /** Creates new form TemplateJDialog */
    public AttributionRevisionView(java.awt.Frame parent, boolean modal, EODisplayGroup dg) {
        super(parent, modal);
        
        eod = dg;

        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jLabel8 = new javax.swing.JLabel();
        tfLibelleRevision = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        tfMontant = new javax.swing.JTextField();
        btnAnnuler = new javax.swing.JButton();
        checkAvenant = new javax.swing.JRadioButton();
        checkRevision = new javax.swing.JRadioButton();
        tfTitre = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        tfLibelleLot = new javax.swing.JTextArea();
        btnAjouter = new javax.swing.JButton();
        viewTable = new javax.swing.JPanel();
        jLabel12 = new javax.swing.JLabel();
        tfMontantAttribution = new javax.swing.JTextField();
        btnDelRevision = new javax.swing.JButton();
        btnUpdRevision = new javax.swing.JButton();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Révision d'une Attribution");

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel8.setText("Libellé Avenant / Révision : ");

        tfLibelleRevision.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel10.setText("Montant HT Corrigé :");

        tfMontant.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        btnAnnuler.setText("Fermer");
        btnAnnuler.setToolTipText("Fermer la fenêtre de révision");

        buttonGroup1.add(checkAvenant);
        checkAvenant.setText("Avenant");

        buttonGroup1.add(checkRevision);
        checkRevision.setText("Révision");

        tfTitre.setFont(new java.awt.Font("Times New Roman", 1, 14));
        tfTitre.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        tfTitre.setText("Révision d'une Attribution");

        tfLibelleLot.setBackground(CocktailConstantes.COLOR_LABEL_SAUMON);
        tfLibelleLot.setColumns(20);
        tfLibelleLot.setLineWrap(true);
        tfLibelleLot.setRows(5);
        tfLibelleLot.setEnabled(false);
        tfLibelleLot.setFocusable(false);
        jScrollPane1.setViewportView(tfLibelleLot);

        btnAjouter.setText("Ajouter");
        btnAjouter.setToolTipText("Ajout une nouvelle révision");

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel12.setText("Montant Attribution :");

        tfMontantAttribution.setEditable(false);
        tfMontantAttribution.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        tfMontantAttribution.setEnabled(false);

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel13.setText("Type Révision :");

        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel14.setText("Libellé du lot");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 710, Short.MAX_VALUE)
                    .add(jLabel14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 129, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 129, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfMontantAttribution, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 128, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(8, 8, 8)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jLabel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 163, Short.MAX_VALUE)
                            .add(jLabel13, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(checkAvenant)
                                .add(18, 18, 18)
                                .add(checkRevision))
                            .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 115, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfLibelleRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 317, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 94, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 684, Short.MAX_VALUE)
                            .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 684, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnUpdRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(tfTitre)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 105, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfMontantAttribution, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 216, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(checkAvenant)
                            .add(checkRevision))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(11, 11, 11)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfLibelleRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel8)))
                    .add(layout.createSequentialGroup()
                        .add(btnUpdRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(5, 5, 5)
                        .add(btnDelRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-746)/2, (screenSize.height-584)/2, 746, 584);
    }// </editor-fold>//GEN-END:initComponents

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	AttributionRevisionView dialog = new AttributionRevisionView(new javax.swing.JFrame(), true, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnDelRevision;
    private javax.swing.JButton btnUpdRevision;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JRadioButton checkAvenant;
    private javax.swing.JRadioButton checkRevision;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextArea tfLibelleLot;
    private javax.swing.JTextField tfLibelleRevision;
    private javax.swing.JTextField tfMontant;
    private javax.swing.JTextField tfMontantAttribution;
    private javax.swing.JLabel tfTitre;
    protected javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables
    
    
    
    private void initGui() {
            	
        btnAjouter.setIcon(CocktailConstantes.ICON_ADD);
        btnUpdRevision.setIcon(CocktailConstantes.ICON_UPDATE);
        btnDelRevision.setIcon(CocktailConstantes.ICON_DELETE);
        btnAnnuler.setIcon(CocktailConstantes.ICON_CANCEL);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EORevision.REV_DATE_KEY, "Date", 100);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EORevision.REV_TYPE_KEY, "Type", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EORevision.REV_LIBELLE_KEY, "Libellé", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EORevision.REV_DIFF_KEY, "Montant", 100);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EORevision.UTILISATEUR_KEY+"."+EOUtilisateur.NOM_PRENOM_KEY, "Utilisateur", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);


    }

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public javax.swing.JButton getBtnDelRevision() {
		return btnDelRevision;
	}

	public javax.swing.JButton getBtnUpdRevision() {
		return btnUpdRevision;
	}

	public void setBtnUpdRevision(javax.swing.JButton btnUpdRevision) {
		this.btnUpdRevision = btnUpdRevision;
	}

	public void setBtnDelRevision(javax.swing.JButton btnDelRevision) {
		this.btnDelRevision = btnDelRevision;
	}

	public javax.swing.JTextField getTfMontantAttribution() {
		return tfMontantAttribution;
	}

	public void setTfMontantAttribution(javax.swing.JTextField tfMontantAttribution) {
		this.tfMontantAttribution = tfMontantAttribution;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JRadioButton getCheckAvenant() {
		return checkAvenant;
	}

	public void setCheckAvenant(javax.swing.JRadioButton checkAvenant) {
		this.checkAvenant = checkAvenant;
	}

	public javax.swing.JRadioButton getCheckRevision() {
		return checkRevision;
	}

	public void setCheckRevision(javax.swing.JRadioButton checkRevision) {
		this.checkRevision = checkRevision;
	}

	public javax.swing.JTextArea getTfLibelleLot() {
		return tfLibelleLot;
	}

	public void setTfLibelleLot(javax.swing.JTextArea tfLibelleLot) {
		this.tfLibelleLot = tfLibelleLot;
	}

	public javax.swing.JTextField getTfLibelleRevision() {
		return tfLibelleRevision;
	}

	public void setTfLibelleRevision(javax.swing.JTextField tfLibelleRevision) {
		this.tfLibelleRevision = tfLibelleRevision;
	}

	public javax.swing.JTextField getTfMontant() {
		return tfMontant;
	}

	public void setTfMontant(javax.swing.JTextField tfMontant) {
		this.tfMontant = tfMontant;
	}

	public javax.swing.JLabel getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JLabel tfTitre) {
		this.tfTitre = tfTitre;
	}
    
    
    
    

	
}
